summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorAlexander Sulfrian <alexander@sulfrian.net>2009-01-08 11:37:23 +0100
committerAlexander Sulfrian <alexander@sulfrian.net>2009-01-08 11:37:23 +0100
commitb5593ec19bf693c55e35f88bbce7b45a1381d986 (patch)
tree35e067becdedc71a10b70656bc6c9dac3f2d20e6 /bin
downloadhelper-scripts-b5593ec19bf693c55e35f88bbce7b45a1381d986.tar.gz
helper-scripts-b5593ec19bf693c55e35f88bbce7b45a1381d986.tar.xz
helper-scripts-b5593ec19bf693c55e35f88bbce7b45a1381d986.zip
added some usefull scripts
bin/Xshutdown.sh - graphical script for shutdown/reboot/standby sbin/set_governor - set the governor of both cpus sbin/keyword_package - adds a package to /etc/portage/packages.keywords sbin/asound_backup.sh - creates a backup of /etc/asound.conf sbin/asound_pulse_disable.sh - removes the default references to pulse sbin/asound_pulse_enable.sh - adds pcm.!default und ctl.!default references to pulse
Diffstat (limited to 'bin')
-rwxr-xr-xbin/Xshutdown.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/bin/Xshutdown.sh b/bin/Xshutdown.sh
new file mode 100755
index 0000000..eeae1ba
--- /dev/null
+++ b/bin/Xshutdown.sh
@@ -0,0 +1,34 @@
+#!/bin/sh
+# export Display for GUI
+export DISPLAY=":0.0"
+
+# Use as shutdown
+SHUTDOWN=/sbin/shutdown
+
+case "$1" in
+ shutdown)
+ Xdialog --title Shutdown --center --beep --yesno "Really shutdown the system?" 0 0 \
+ && (sync ; exec ${SHUTDOWN} -h now)
+ ;;
+ reboot)
+ Xdialog --title Reboot --center --beep --yesno "Do you want to reboot the system?" 0 0 \
+ && (sync ; exec ${SHUTDOWN} -r now)
+ ;;
+ standby)
+ Xdialog -title Standby --center --beep --yesno "Do you want to suspend to ram?" 0 0 \
+ && (sync ; exec hibernate-ram )
+ ;;
+ ask)
+ CHOICE=$(Xdialog --stdout --title 'Choose!' --menubox 'Choose your destiny!' 10 50 3 \
+ standby "Suspend to ram." \
+ shutdown "Shutdown your system." \
+ reboot " Reboot this system.")
+ [ -z "$CHOICE" ] && exit 1
+ exec $0 $CHOICE
+ ;;
+ *)
+ echo $1
+ echo 1>&2 "$0 (shutdown|reboot|standby|ask)"
+ exit 1
+ ;;
+esac